# Idempotency

All critical POST endpoints are secured with Idempotency keys to allow users to make identical requests multiple times with no side effects.&#x20;

Idempotency keys are input by the users in the `Idempotency-Key` header, We advise you use a uuid generator to create such keys.

Please find below an example of such request using an Idempotency key to secure the call:

```bash
curl --location 'https://staging.api.rialtobridge.xyz/api/client/v1/transactions' \
    -X POST \
    --header 'Idempotency-Key: fe5ebcc4-e0fc-4cf3-81dd-705a171effba' \
    --header 'Content-Type: application/json' \
    --header 'RIALTO_API_KEY: ab3bcq9ynhJ2Om85fLSlEfn3YXiolngd4m3n0rDm8Sg=' \
    --data '{
        "transactionType": "ONRAMP",
        "bankAccountId": "90ce9ee9-7d7f-48a2-ae47-b93e49b8aef2",
        "blockchainWalletId": "d9094448-a872-4a86-aa4f-b5953806d8c4",
        "blockchainAsset": "usdc",
        "transactionAmount": 10123.87
    }'
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rialtobridge.xyz/concepts/idempotency.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
